DefaultCodecIdentifier (Grails 3.1.1)
Date: 2016-02-04

Package: org.grails.encoder

## [Java] Class DefaultCodecIdentifier

- org.grails.encoder.DefaultCodecIdentifier

- All Implemented Interfaces and Traits:
    CodecIdentifier

      public class DefaultCodecIdentifier
      extends java.lang.Object

  default implementation of CodecIdentifier

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultCodecIdentifier (java.lang.String codecName)`
    `DefaultCodecIdentifier (java.lang.String codecName, java.lang.String... codecAliases)`
    `DefaultCodecIdentifier (java.lang.String codecName, java.util.Set<java.lang.String> codecAliases)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.Set<java.lang.String>` | `getCodecAliases()`
    `java.lang.String` | `getCodecName()`
    `int` | `hashCode()`
    `boolean` | `isEquivalent(CodecIdentifier other)`
    `java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public DefaultCodecIdentifier(java.lang.String codecName)

    - #### public DefaultCodecIdentifier(java.lang.String codecName, java.lang.String... codecAliases)

    - #### public DefaultCodecIdentifier(java.lang.String codecName, java.util.Set<java.lang.String> codecAliases)

  - ### Method Detail

    - #### @java.lang.Override public boolean equals(java.lang.Object obj)

    - #### public java.util.Set<java.lang.String> getCodecAliases()

    - #### public java.lang.String getCodecName()

    - #### @java.lang.Override public int hashCode()

    - #### public boolean isEquivalent(CodecIdentifier other)

    - #### @java.lang.Override public java.lang.String toString()